CVE-2004-2278
CVSS4.3
发布时间 :2004-12-31 00:00:00
修订时间 :2008-09-05 16:43:41
NMCO    

[原文]Unknown cross-site scripting (XSS) vulnerability in the web GUI in vHost before 3.10r1 has unknown impact and attack vectors.


[CNNVD]Chaogic Systems VHost未明跨站脚本漏洞(CNNVD-200412-171)

        vHost 3.10r1以前版本的未知跨站脚本(XSS)漏洞存在未知影响和攻击向量。

- CVSS (基础分值)

CVSS分值: 4.3 [中等(MEDIUM)]
机密性影响: NONE [对系统的机密性无影响]
完整性影响: PARTIAL [可能会导致系统文件被修改]
可用性影响: NONE [对系统可用性无影响]
攻击复杂度: MEDIUM [漏洞利用存在一定的访问条件]
攻击向量: [--]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

cpe:/a:chaogic_systems:vhost:3.00r4
cpe:/a:chaogic_systems:vhost:3.05r6
cpe:/a:chaogic_systems:vhost:3.05r3
cpe:/a:chaogic_systems:vhost:3.05r1
cpe:/a:chaogic_systems:vhost:3.05r5
cpe:/a:chaogic_systems:vhost:3.00r6
cpe:/a:chaogic_systems:vhost:3.00r5
cpe:/a:chaogic_systems:vhost:3.03r1
cpe:/a:chaogic_systems:vhost:3.04r1
cpe:/a:chaogic_systems:vhost:3.02r1
cpe:/a:chaogic_systems:vhost:3.02r2
cpe:/a:chaogic_systems:vhost:3.00r1
cpe:/a:chaogic_systems:vhost:3.05r4
cpe:/a:chaogic_systems:vhost:3.00r3
cpe:/a:chaogic_systems:vhost:3.01r1
cpe:/a:chaogic_systems:vhost:3.00r2
cpe:/a:chaogic_systems:vhost:3.05r2

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2004-2278
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2004-2278
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200412-171
(官方数据源) CNNVD

- 其它链接及资源

http://xforce.iss.net/xforce/xfdb/15446
(PATCH)  XF  vhost-xss(15446)
http://www.securityfocus.com/bid/9860
(PATCH)  BID  9860
http://www.osvdb.org/4207
(PATCH)  OSVDB  4207
http://securitytracker.com/id?1009404
(PATCH)  SECTRACK  1009404
http://secunia.com/advisories/11113
(VENDOR_ADVISORY)  SECUNIA  11113
http://chaogic.com/vhost/ChangeLog.txt
(UNKNOWN)  CONFIRM  http://chaogic.com/vhost/ChangeLog.txt

- 漏洞信息

Chaogic Systems VHost未明跨站脚本漏洞
中危 跨站脚本
2004-12-31 00:00:00 2005-10-20 00:00:00
远程  
        vHost 3.10r1以前版本的未知跨站脚本(XSS)漏洞存在未知影响和攻击向量。

- 公告与补丁

        The vendor has released an upgrade dealing with this issue.
        Chaogic Systems vHost 3.0 0r5
        
        Chaogic Systems vHost 3.0 0r2
        
        Chaogic Systems vHost 3.0 5r5
        
        Chaogic Systems vHost 3.0 5r1
        
        Chaogic Systems vHost 3.0 0r1
        
        Chaogic Systems vHost 3.0 0r4
        
        Chaogic Systems vHost 3.0 0r3
        
        Chaogic Systems vHost 3.0 3r1
        
        Chaogic Systems vHost 3.0 2r2
        
        Chaogic Systems vHost 3.0 2r1
        
        Chaogic Systems vHost 3.0 0r6
        
        Chaogic Systems vHost 3.0 4r1
        
        Chaogic Systems vHost 3.0 5r4
        
        Chaogic Systems vHost 3.0 5r6
        
        Chaogic Systems vHost 3.0 5r3
        
        Chaogic Systems vHost 3.0 5r2
        
        Chaogic Systems vHost 3.0 1r1
        

- 漏洞信息

4207
Chaogic Systems vHost Unspecified XSS
Remote / Network Access Input Manipulation
Loss of Integrity

- 漏洞描述

vHost contains a flaw that allows a remote cross site scripting attack. This flaw exists because the application does not validate input upon submission to the web GUI. This could allow a user to create a specially crafted URL that would execute arbitrary code in a user's browser within the trust relationship between the browser and the server, leading to a loss of integrity.

- 时间线

2004-02-29 Unknow
Unknow Unknow

- 解决方案

Upgrade to version 3.10r1 or higher, as it has been reported to fix this vulnerability. An upgrade is required as there are no known workarounds.

- 相关参考

- 漏洞作者

Unknown or Incomplete
 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站